//
//  SSCBaseViewController.h
//  SimplySelfCare
//
//  Created by Michael Place on 8/29/12.
//  Copyright (c) 2012 scrapsfromthetable. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SSCAilmentViewController.h"
#import "SSCUser.h"
#import "SSCDiagnosisStore.h"
#import "SSCSplashViewController.h"
#import "SSCUserManagementViewController.h"
#import "SSCMKNetworkSingleton.h"



@interface SSCBaseViewController : UIViewController <UITableViewDataSource, UITableViewDelegate, SSCSplashViewLoginDelegate, AilmentViewDelegate, LogoutDelegate>{
    SSCUser *_currentUser;
    BOOL isLoggedIn;
    BOOL isInMedicineCabinet;
    BOOL isEditMode;
    NSArray *ailmentArray;
    UIActivityIndicatorView *_aiv;
    SSCSplashViewController *_splashVC;
    SSCAilmentViewController *_ailmentViewController;
    SSCUserManagementViewController *_userManagementViewController;
}
@property (nonatomic) BOOL isLoggedIn;
@property (strong, nonatomic) UIActivityIndicatorView *aiv;
@property (strong, nonatomic) SSCSplashViewController *splashVC;
@property (strong, nonatomic) SSCUserManagementViewController *userManagementViewController;
@property (strong, nonatomic) SSCAilmentViewController *ailmentViewController;
@property (strong, nonatomic) SSCUser *currentUser;
@property (weak, nonatomic) IBOutlet UIImageView *backgroundGestureRecogizerView;
@property (weak, nonatomic) IBOutlet UILabel *usernameProfileLabel;
@property (weak, nonatomic) IBOutlet UILabel *genderProfileLabel;
@property (weak, nonatomic) IBOutlet UILabel *ageProfileLabel;
@property (weak, nonatomic) IBOutlet UILabel *emailProfileLabel;
@property (weak, nonatomic) IBOutlet UILabel *currentMedicationProfileLabel;
@property (weak, nonatomic) IBOutlet UILabel *currentConditionProfileLabel;
@property (weak, nonatomic) IBOutlet UIView *profileView;
@property (weak, nonatomic) IBOutlet UIButton *revealMedicineCabinetButton;
@property (weak, nonatomic) IBOutlet UIButton *editProfileStatsButton;
@property (weak, nonatomic) IBOutlet UIButton *saveProfileStatsButton;
@property (weak, nonatomic) IBOutlet UITableView *ailmentTableView;
@property (weak, nonatomic) IBOutlet UIScrollView *contentScrollView;
@property (weak, nonatomic) IBOutlet UIBarButtonItem *userFunctionsBarButtonItem;
@property (weak, nonatomic) IBOutlet UITextField *modifyEmailTextView;
@property (weak, nonatomic) IBOutlet UITextField *modifyGenderTextView;
@property (weak, nonatomic) IBOutlet UITextField *modifyAgeTextView;
@property (weak, nonatomic) IBOutlet UITextField *modifyCurrentConditionsTextView;
@property (weak, nonatomic) IBOutlet UITextField *modifyCurrentMedicationsTextView;
@property (weak, nonatomic) IBOutlet UIButton *addCurrentConditionButton;
@property (weak, nonatomic) IBOutlet UIButton *addCurrentMedicationButton;

- (void)invalidateUserForUserWithUsername:(NSString*)username;
- (void)presentLoginForm;

- (IBAction)didClickHeadButton:(id)sender;
- (IBAction)didClickChestButton:(id)sender;
- (IBAction)didClickStomachButton:(id)sender;
- (IBAction)didClickLegsButton:(id)sender; //Not yet utilized
- (IBAction)didClickSaveProfileStatsButton:(id)sender;

- (IBAction)animateMedicineCabinet;
- (IBAction)displayUserFamily:(id)sender;
- (IBAction)didClickEditProfileStatsButton:(UIButton *)sender;
- (void)populateProfileLabelsWithUser:(SSCUser*)user;

@end
