//
//  SSCUserManagementViewController.m
//  SimplySelfCare
//
//  Created by Michael Place on 10/18/12.
//  Copyright (c) 2012 scrapsfromthetable. All rights reserved.
//

#import "SSCUserManagementViewController.h"
#import <QuartzCore/QuartzCore.h>
#import "SSCBaseViewController.h"

@interface SSCUserManagementViewController ()

@end

@implementation SSCUserManagementViewController
@synthesize delegate = _delegate;
@synthesize currentUser = _currentUser;

NSArray *allUsers;
NSManagedObject *potenialUserSwitch;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [self.switchUserTableView.layer setBorderWidth:2.0];
    [self.switchUserTableView.layer setBorderColor:[UIColor blackColor].CGColor];
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)backButtonWasClicked:(id)sender {
    [self dismissModalViewControllerAnimated:YES];
}

- (IBAction)signOutButtonWasClicked:(id)sender {
    if ([self.delegate respondsToSelector:@selector(didRequestLogout)]) {
        [self.delegate didRequestLogout];
    }
}

- (IBAction)deleteAccountWasClicked:(id)sender {
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    allUsers = [NSArray arrayWithArray:[SSCUser fetchAllUsers]];
    return [allUsers count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"Foobar"];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"Foobar"];
        
        cell.selectionStyle = UITableViewCellSelectionStyleBlue;
        cell.textLabel.textColor = [UIColor blueColor];
    }
    
    cell.textLabel.text = [[allUsers objectAtIndex:[indexPath row]] valueForKey:@"username"];
    
    return cell;
}

-(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    UIAlertView *confirmSwitchUsers = [[UIAlertView alloc] initWithTitle:@"Are you sure?" message:[NSString stringWithFormat:@"Are you sure you want to switch to user: %@", [[allUsers objectAtIndex:[indexPath row]] valueForKey:@"username"]] delegate:self cancelButtonTitle:@"No" otherButtonTitles:@"YES", nil];
    [confirmSwitchUsers show];
    potenialUserSwitch = [allUsers objectAtIndex:[indexPath row]];
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    
}

- (void)alertView:(UIAlertView *)alertView clickedButtonAtIndex:(NSInteger)buttonIndex {
    if (buttonIndex == 1) {
        if ([self.delegate respondsToSelector:@selector(didRequestChangeUser:)]) {
            [self.delegate didRequestChangeUser:[potenialUserSwitch valueForKey:@"username"]];
        }
    }
}

- (void)viewDidUnload {
    [self setSwitchUserTableView:nil];
    [super viewDidUnload];
}
@end
