//
//  SSCMKNetworkSingleton.m
//  SimplySelfCare
//
//  Created by Michael Place on 11/3/12.
//  Copyright (c) 2012 scrapsfromthetable. All rights reserved.
//

#import "SSCMKNetworkSingleton.h"

@implementation SSCMKNetworkSingleton
static SSCMKNetworkSingleton *sharedInstance = nil;

+ (SSCMKNetworkSingleton *)sharedInstance {
    if (nil != sharedInstance) {
        return sharedInstance;
    }
    
    static dispatch_once_t pred;
    dispatch_once(&pred, ^{
        sharedInstance = [[SSCMKNetworkSingleton alloc] init];
    });
    
    return sharedInstance;
}

- (MKNetworkEngine*)nwe {
    if (nil != _nwe) {
        return _nwe;
    }
    
    _nwe = [[MKNetworkEngine alloc] initWithHostName:kSSCBaseServerAddress customHeaderFields:nil];
    return _nwe;
}

@end
