//
//  SSCSplashViewController.h
//  SimplySelfCare
//
//  Created by Michael Place on 9/29/12.
//  Copyright (c) 2012 scrapsfromthetable. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SSCMKNetworkSingleton.h"

#import "SSCUser.h"

@protocol SSCSplashViewLoginDelegate <NSObject>
- (void)splashViewDidSuccessfullyLoginWithUser:(SSCUser*)user;
@end

@interface SSCSplashViewController : UIViewController <UIScrollViewDelegate>{
    __weak id<SSCSplashViewLoginDelegate> delegate;
    NSMutableData *receivedData;
    
    __weak UIScrollView *loginFormScrollView;
    SSCUser *currentUser;
    __weak UITextField *userName;
    __weak UITextField *password;
    __weak UITextField *email;
    __weak UISegmentedControl *gender;
    __weak UITextField *dob_month;
    __weak UITextField *dob_day;
    __weak UITextField *dob_year;
    __weak UIButton *signIn;
    __weak UIButton *createNew;
    BOOL isSigningIn;
    BOOL isCreatingNewUser;
    BOOL loginVerified;
    BOOL keyboardIsShown;
    BOOL _switchUserFlag;
}
@property (nonatomic) BOOL switchUserFlag;
@property (nonatomic, strong) SSCUser *currentUser;
@property (nonatomic, weak) id delegate;
@property (nonatomic, weak) IBOutlet UIScrollView *loginFormScrollView;
@property (nonatomic, weak) IBOutlet UITextField *userName;
@property (nonatomic, weak) IBOutlet UITextField *password;
@property (nonatomic, weak) IBOutlet UITextField *email;
@property (nonatomic, weak) IBOutlet UISegmentedControl *gender;
@property (nonatomic, weak) IBOutlet UITextField *dob_month;
@property (nonatomic, weak) IBOutlet UITextField *dob_day;
@property (nonatomic, weak) IBOutlet UITextField *dob_year;
@property (nonatomic, weak) IBOutlet UILabel *dob_slash1;
@property (nonatomic, weak) IBOutlet UILabel *dob_slash2;

@property (nonatomic, weak) IBOutlet UIButton *signIn;
@property (nonatomic, weak) IBOutlet UIButton *createNew;

- (IBAction)loginButtonsWereTapped:(id)sender;
@end
