//
//  SSCUser.h
//  SimplySelfCare
//
//  Created by Michael Place on 8/24/12.
//  Copyright (c) 2012 scrapsfromthetable. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SSCDiagnosisStore.h"

@interface SSCUser : NSObject {
    NSString *username;
    NSString *password;
    NSString *email;
    NSDate *dob;
    NSNumber *gender;
    NSNumber *isPreg;
    NSNumber *isLac;
    NSArray *currentConditions;
    NSArray *currentMedication;
    NSArray *medicineCabinet;
}

enum {
    Male = 0,
    Female
};

enum {
    Pregnant = 0,
    NotPregnant
};

enum {
    Lactating = 0,
    NotLactating
};

@property (nonatomic, strong) NSString *username;
@property (nonatomic, strong) NSString *password;
@property (nonatomic, strong) NSString *email;
@property (nonatomic, strong) NSNumber *gender;
@property (nonatomic, strong) NSDate *dob;
@property (nonatomic, strong) NSNumber *isPreg;
@property (nonatomic, strong) NSNumber *isLac;
@property (nonatomic, strong) NSArray *currentConditions;
@property (nonatomic, strong) NSArray *currentMedications;
@property (nonatomic, strong) NSArray *medicineCabinet;


- (SSCUser*)initUserWith:(NSString*)username_ withPassword:(NSString*)password_ withEmail:(NSString*)email_ withGender:(NSNumber*)gender_ withDOB:(NSDate*)dob_
          withIsPregnant:(NSNumber*)isPreg_ withIsLactating:(NSNumber*) isLac_ withCurrentMedications:(NSArray*)currentMedications_ withCurrentConditions:(NSArray*)currentConditions_ withMedicineCabinet:(NSArray*)medicineCabinet_;
- (SSCUser *)initUserFromManagedObject:(NSManagedObject*)mo;
- (SSCUser*)init;

- (NSDictionary *)dictionaryObjectForUser:(SSCUser*)user;

- (NSData*)jsonRepresentationForUserDictionary:(NSDictionary*)userDict;

// CONVENIENCE METHODS
+ (SSCUser*)fetchUserWithUsername:(NSString*)username;
+ (void)applyProfileUserChangesRemotelyWithUser:(SSCUser*)user;
+ (void)manageLocalUserStoreWithUser:(SSCUser*)user;
+ (void)fetchUser:(SSCUser*)user WithPredicateString:(NSPredicate*)predString;
+ (NSArray*)arrayFromStringOfConditionsOrMedications:(NSString*)a;
+ (NSString*)stringFromArrayOfConditionsOrMedications:(NSArray*)a;
+ (NSDate*)birthDateFromString:(NSString*)dateOfBirth;
+ (NSNumber*)genderNumberFromString:(NSString*)genderString;
+ (NSArray *)fetchAllUsers;

@end
